package com.goldenwater.slgc.mapper.pms;

import com.goldenwater.slgc.entity.pms.PmsContractLog;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface PmsContractLogMapper {
    /**
     * 查询合同变更日志列表
     */
    List<PmsContractLog> selectList(PmsContractLog contractLog);

    /**
     * 根据主键查询合同变更日志
     */
    PmsContractLog selectById(Long id);

    /**
     * 新增合同变更日志
     */
    int insert(PmsContractLog contractLog);

    /**
     * 修改合同变更日志
     */
    int update(PmsContractLog contractLog);

    /**
     * 删除合同变更日志
     */
    int deleteById(Long id);

    /**
     * 批量删除合同变更日志
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据合同ID查询合同变更日志列表
     */
    List<PmsContractLog> selectByConId(Long conId);
}
